package org.project.entity.enemies;

import org.project.entity.players.Player;
import org.project.utilities.Colors;

public class Dragon extends Enemy
{
    public Dragon()
    {
        super("Dragon", 250, 30, 200);
    }

    @Override
    public void attack(Player player)
    {
        System.out.println(Colors.RED + "🐉 Dragon used Fiery Breath!" + Colors.RESET);
        player.takeDamage(damage);
    }

}
